# Class: NoteRevision

## NoteRevision()

NoteRevision represents snapshot of note's title and content at some point in the past. It's used for seamless note versioning.

## Constructor

#### new NoteRevision()

##### Properties:

Name | Type | Description
--- | --- | ---
`noteRevisionId` | string |
`noteId` | string |
`type` | string |
`mime` | string |
`title` | string |
`contentLength` | int |
`isErased` | boolean |
`isProtected` | boolean |
`dateLastEdited` | string |
`dateCreated` | string |
`utcDateLastEdited` | string |
`utcDateCreated` | string |
`utcDateModified` | string |

Source:
  - entities/note_revision.js, line 35

### Extends

- Entity

### Methods

#### (async) getContent() → {Promise.<*>}

Source:
  - entities/note_revision.js, line 69

##### Returns:

Type
  Promise.<*>

#### isStringNote() → {boolean}

Source:
  - entities/note_revision.js, line 55

##### Returns:

true if the note has string content (not binary)

Type
  boolean

#### (async) setContent() → {Promise}

Source:
  - entities/note_revision.js, line 104

##### Returns:

Type
  Promise